---
title: ApplePayCertificate
api_version: 2026-07
source_url:
  html: https://shopify.dev/docs/api/admin-rest/latest/resources/applepaycertificate
  md: https://shopify.dev/docs/api/admin-rest/latest/resources/applepaycertificate.md
---

The REST Admin API is a legacy API as of October 1, 2024. Starting April 1, 2025, all new public apps must be built exclusively with the [GraphQL Admin API](https://shopify.dev/docs/api/admin-graphql). For details and migration steps, visit our [migration guide](https://shopify.dev/docs/apps/build/graphql/migrate).

# Apple​Pay​Certificate

**Requires \`mobile\_payments\` access scope.:**

You can use the `ApplePayCertificate` resource to create a certificate signing request (CSR) and upload the signed certificate from Apple to Shopify. To use the resource, you'll first need to send a POST request to the `ApplePayCertificate` resource to obtain an `id`. You'll then use this `id` to create a [base64 encoded key](https://shopify.dev/docs/admin-api/rest/reference/applepaycertificate/#csr) to be included in the body of your CSR to Apple. After you've uploaded the CSR to Apple and received the certificate, you'll provide it to Shopify by using a [PUT request](https://shopify.dev/docs/admin-api/rest/reference/applepaycertificate/#update-{{%20current_version%20}}).

\#

## Endpoints

* [post](https://shopify.dev/docs/api/admin-rest/latest/resources/applepaycertificate.md#post-apple-pay-certificates)

  [/admin/api/latest/apple\_​pay\_​certificates.​json](https://shopify.dev/docs/api/admin-rest/latest/resources/applepaycertificate.md#post-apple-pay-certificates)

  Create an Apple Pay certificate
* [get](https://shopify.dev/docs/api/admin-rest/latest/resources/applepaycertificate.md#get-apple-pay-certificates-apple-pay-certificate-id)

  [/admin/api/latest/apple\_​pay\_​certificates/{apple\_​pay\_​certificate\_​id}.​json](https://shopify.dev/docs/api/admin-rest/latest/resources/applepaycertificate.md#get-apple-pay-certificates-apple-pay-certificate-id)

  Retrieve an Apple Pay certificate
* [get](https://shopify.dev/docs/api/admin-rest/latest/resources/applepaycertificate.md#get-apple-pay-certificates-apple-pay-certificate-id-csr)

  [/admin/api/latest/apple\_​pay\_​certificates/{apple\_​pay\_​certificate\_​id}/csr.​json](https://shopify.dev/docs/api/admin-rest/latest/resources/applepaycertificate.md#get-apple-pay-certificates-apple-pay-certificate-id-csr)

  Create a base64 encoded key to be included in the body of the CSR
* [put](https://shopify.dev/docs/api/admin-rest/latest/resources/applepaycertificate.md#put-apple-pay-certificates-apple-pay-certificate-id)

  [/admin/api/latest/apple\_​pay\_​certificates/{apple\_​pay\_​certificate\_​id}.​json](https://shopify.dev/docs/api/admin-rest/latest/resources/applepaycertificate.md#put-apple-pay-certificates-apple-pay-certificate-id)

  Upload Apple Pay certificate to enable Apple Pay on your app
* [del](https://shopify.dev/docs/api/admin-rest/latest/resources/applepaycertificate.md#delete-apple-pay-certificates-apple-pay-certificate-id)

  [/admin/api/latest/apple\_​pay\_​certificates/{apple\_​pay\_​certificate\_​id}.​json](https://shopify.dev/docs/api/admin-rest/latest/resources/applepaycertificate.md#delete-apple-pay-certificates-apple-pay-certificate-id)

  Delete Apple Pay certificate

***

## The ApplePayCertificate resource

### Properties

***

id

Unique numeric identifier for the Apple Pay certificate.

***

status

Status of your Apple Pay certificate. Possible values are `issuing`, `csr`, or `completed`.

***

merchant\_id

Merchant ID for your Apple Pay certificate.

***

{}

## The ApplePayCertificate resource

```json
{
  "id": 915396206,
  "status": "issuing",
  "merchant_id": {
    "value_type": "merchant.id"
  }
}
```

***

## postCreate an Apple Pay certificate

Create an Apple Pay certificate

### Parameters

***

api\_version

**string**

**required**

***

### Examples

### Create an Apple Pay certificate

post

## /admin/api/2026-07/apple\_​pay\_​certificates.​json

```bash
curl -d '{"apple_pay_certificate":{}}' \
-X POST "https://your-development-store.myshopify.com/admin/api/2026-07/apple_pay_certificates.json" \
-H "X-Shopify-Access-Token: {access_token}" \
-H "Content-Type: application/json"
```

{}

## Response

JSON

```json
HTTP/1.1 201 Created
{
  "apple_pay_certificate": {
    "id": 1068938275,
    "status": "issuing",
    "merchant_id": null
  }
}
```

### examples

* #### Create an Apple Pay certificate

  #####

  ```curl
  curl -d '{"apple_pay_certificate":{}}' \
  -X POST "https://your-development-store.myshopify.com/admin/api/2026-07/apple_pay_certificates.json" \
  -H "X-Shopify-Access-Token: {access_token}" \
  -H "Content-Type: application/json"
  ```

  #### response

  ```json
  HTTP/1.1 201 Created{"apple_pay_certificate":{"id":1068938275,"status":"issuing","merchant_id":null}}
  ```

***

## getRetrieve an Apple Pay certificate

Retrieve an Apple Pay certificate

### Parameters

***

api\_version

**string**

**required**

***

apple\_pay\_certificate\_id

**string**

**required**

***

### Examples

### Retrieve an Apple Pay certificate

### Path parameters

apple\_​pay\_​certificate\_​id=​1068938278

**string**

**required**

get

## /admin/api/2026-07/apple\_​pay\_​certificates/1068938278.​json

```bash
curl -X GET "https://your-development-store.myshopify.com/admin/api/2026-07/apple_pay_certificates/1068938278.json" \
-H "X-Shopify-Access-Token: {access_token}"
```

{}

## Response

JSON

```json
HTTP/1.1 200 OK
{
  "apple_pay_certificate": {
    "id": 1068938278,
    "status": "csr",
    "merchant_id": null
  }
}
```

### examples

* #### Retrieve an Apple Pay certificate

  #####

  ```curl
  curl -X GET "https://your-development-store.myshopify.com/admin/api/2026-07/apple_pay_certificates/1068938278.json" \
  -H "X-Shopify-Access-Token: {access_token}"
  ```

  #### response

  ```json
  HTTP/1.1 200 OK{"apple_pay_certificate":{"id":1068938278,"status":"csr","merchant_id":null}}
  ```

***

## getCreate a base64 encoded key to be included in the body of the CSR

Create a base64 encoded key to be included in the body of the CSR

### Parameters

***

api\_version

**string**

**required**

***

apple\_pay\_certificate\_id

**string**

**required**

***

### Examples

### Create a base64 encoded key to be included in the body of the CSR

### Path parameters

apple\_​pay\_​certificate\_​id=​1068938277

**string**

**required**

get

## /admin/api/2026-07/apple\_​pay\_​certificates/1068938277/csr.​json

```bash
curl -X GET "https://your-development-store.myshopify.com/admin/api/2026-07/apple_pay_certificates/1068938277/csr.json" \
-H "X-Shopify-Access-Token: {access_token}"
```

{}

## Response

JSON

```json
HTTP/1.1 200 OK
{
  "csr": {
    "key": "YXBwbGUtcGF5LWNzcg==\n"
  }
}
```

### examples

* #### Create a base64 encoded key to be included in the body of the CSR

  #####

  ```curl
  curl -X GET "https://your-development-store.myshopify.com/admin/api/2026-07/apple_pay_certificates/1068938277/csr.json" \
  -H "X-Shopify-Access-Token: {access_token}"
  ```

  #### response

  ```json
  HTTP/1.1 200 OK{"csr":{"key":"YXBwbGUtcGF5LWNzcg==\n"}}
  ```

***

## putUpload Apple Pay certificate to enable Apple Pay on your app

Upload Apple Pay certificate to enable Apple Pay on your app

### Parameters

***

api\_version

**string**

**required**

***

apple\_pay\_certificate\_id

**string**

**required**

***

### Examples

### Upload Apple Pay certificate to enable Apple Pay on your app

### Path parameters

apple\_​pay\_​certificate\_​id=​1068938276

**string**

**required**

### Request body

apple\_​pay\_​certificate​

**Apple\_pay\_certificate resource**

apple\_​pay\_​certificate.id:​1068938276

Unique numeric identifier for the Apple Pay certificate.

apple\_​pay\_​certificate.status:​"completed"

Status of your Apple Pay certificate. Possible values are `issuing`, `csr`, or `completed`.

apple\_​pay\_​certificate.merchant\_​id:​"merchant.something"

Merchant ID for your Apple Pay certificate.

put

## /admin/api/2026-07/apple\_​pay\_​certificates/1068938276.​json

```bash
curl -d '{"apple_pay_certificate":{"id":1068938276,"status":"completed","merchant_id":"merchant.something","encoded_signed_certificate":"MIIEZzCCBA6gAwIBAgIIWGMideLkDJAwCgYIKoZIzj0EAwIwgYAxNDAyBgNV\nBAMMK0FwcGxlIFdvcmxkd2lkZSBEZXZlbG9wZXIgUmVsYXRpb25zIENBIC0g\nRzIxJjAkBgNVBAsMHUFwcGxlIENlcnRpZmljYXRpb24gQXV0aG9yaXR5MRMw\nEQYDVQQKDApBcHBsZSBJbmMuMQswCQYDVQQGEwJVUzAeFw0xNDEyMDgyMTMy\nMDBaFw0xNzAxMDYyMTMyMDBaMIGZMSowKAYKCZImiZPyLGQBAQwabWVyY2hh\nbnQuY29tLm5vcm1vcmUuamFzb24xMDAuBgNVBAMMJ01lcmNoYW50IElEOiBt\nZXJjaGFudC5jb20ubm9ybW9yZS5qYXNvbjETMBEGA1UECwwKNVVZMzJOTE5O\nOTEXMBUGA1UECgwOSm9zaHVhIFRlc3NpZXIxCzAJBgNVBAYTAkNBMFkwEwYH\nKoZIzj0CAQYIKoZIzj0DAQcDQgAEAxDDCvzG6MnsZSJOtbr0hr3MRq+4HzTZ\nx8J4FD34E3kU5CallEnZLBmnzfqmjP8644SO28LLJxvWBnrg7lHFtaOCAlUw\nggJRMEcGCCsGAQUFBwEBBDswOTA3BggrBgEFBQcwAYYraHR0cDovL29jc3Au\nYXBwbGUuY29tL29jc3AwNC1hcHBsZXd3ZHJjYTIwMTAdBgNVHQ4EFgQUkPsO\nKEKvhL/takKomy5GWXtCd8wwDAYDVR0TAQH/BAIwADAfBgNVHSMEGDAWgBSE\ntoTMOoZichZZlOgao71I3zrfCzCCAR0GA1UdIASCARQwggEQMIIBDAYJKoZI\nhvdjZAUBMIH+MIHDBggrBgEFBQcCAjCBtgyBs1JlbGlhbmNlIG9uIHRoaXMg\nY2VydGlmaWNhdGUgYnkgYW55IHBhcnR5IGFzc3VtZXMgYWNjZXB0YW5jZSBv\nZiB0aGUgdGhlbiBhcHBsaWNhYmxlIHN0YW5kYXJkIHRlcm1zIGFuZCBjb25k\naXRpb25zIG9mIHVzZSwgY2VydGlmaWNhdGUgcG9saWN5IGFuZCBjZXJ0aWZp\nY2F0aW9uIHByYWN0aWNlIHN0YXRlbWVudHMuMDYGCCsGAQUFBwIBFipodHRw\nOi8vd3d3LmFwcGxlLmNvbS9jZXJ0aWZpY2F0ZWF1dGhvcml0eS8wNgYDVR0f\nBC8wLTAroCmgJ4YlaHR0cDovL2NybC5hcHBsZS5jb20vYXBwbGV3d2RyY2Ey\nLmNybDAOBgNVHQ8BAf8EBAMCAygwTwYJKoZIhvdjZAYgBEIMQDM0NTBBMjhB\nOTlGRjIyRkI5OTdDRERFODU1REREOTI5NTE4RjVGMDdBQUM4NzdDMzRCQjM3\nODFCQTg2MzkyNjIwCgYIKoZIzj0EAwIDRwAwRAIgZ/oNx0gCc/PM4pYhOWL2\nCecFQrIgzHr/fZd8qcy3Be8CIEQCaAPpmvQrXEX0hFexoYMHtOHY9dgN2D8L\nNKpVyn3t\n"}}' \
-X PUT "https://your-development-store.myshopify.com/admin/api/2026-07/apple_pay_certificates/1068938276.json" \
-H "X-Shopify-Access-Token: {access_token}" \
-H "Content-Type: application/json"
```

{}

## Response

JSON

```json
HTTP/1.1 200 OK
{
  "apple_pay_certificate": {
    "id": 1068938276,
    "status": "completed",
    "merchant_id": "merchant.something"
  }
}
```

### examples

* #### Upload Apple Pay certificate to enable Apple Pay on your app

  #####

  ```curl
  curl -d '{"apple_pay_certificate":{"id":1068938276,"status":"completed","merchant_id":"merchant.something","encoded_signed_certificate":"MIIEZzCCBA6gAwIBAgIIWGMideLkDJAwCgYIKoZIzj0EAwIwgYAxNDAyBgNV\nBAMMK0FwcGxlIFdvcmxkd2lkZSBEZXZlbG9wZXIgUmVsYXRpb25zIENBIC0g\nRzIxJjAkBgNVBAsMHUFwcGxlIENlcnRpZmljYXRpb24gQXV0aG9yaXR5MRMw\nEQYDVQQKDApBcHBsZSBJbmMuMQswCQYDVQQGEwJVUzAeFw0xNDEyMDgyMTMy\nMDBaFw0xNzAxMDYyMTMyMDBaMIGZMSowKAYKCZImiZPyLGQBAQwabWVyY2hh\nbnQuY29tLm5vcm1vcmUuamFzb24xMDAuBgNVBAMMJ01lcmNoYW50IElEOiBt\nZXJjaGFudC5jb20ubm9ybW9yZS5qYXNvbjETMBEGA1UECwwKNVVZMzJOTE5O\nOTEXMBUGA1UECgwOSm9zaHVhIFRlc3NpZXIxCzAJBgNVBAYTAkNBMFkwEwYH\nKoZIzj0CAQYIKoZIzj0DAQcDQgAEAxDDCvzG6MnsZSJOtbr0hr3MRq+4HzTZ\nx8J4FD34E3kU5CallEnZLBmnzfqmjP8644SO28LLJxvWBnrg7lHFtaOCAlUw\nggJRMEcGCCsGAQUFBwEBBDswOTA3BggrBgEFBQcwAYYraHR0cDovL29jc3Au\nYXBwbGUuY29tL29jc3AwNC1hcHBsZXd3ZHJjYTIwMTAdBgNVHQ4EFgQUkPsO\nKEKvhL/takKomy5GWXtCd8wwDAYDVR0TAQH/BAIwADAfBgNVHSMEGDAWgBSE\ntoTMOoZichZZlOgao71I3zrfCzCCAR0GA1UdIASCARQwggEQMIIBDAYJKoZI\nhvdjZAUBMIH+MIHDBggrBgEFBQcCAjCBtgyBs1JlbGlhbmNlIG9uIHRoaXMg\nY2VydGlmaWNhdGUgYnkgYW55IHBhcnR5IGFzc3VtZXMgYWNjZXB0YW5jZSBv\nZiB0aGUgdGhlbiBhcHBsaWNhYmxlIHN0YW5kYXJkIHRlcm1zIGFuZCBjb25k\naXRpb25zIG9mIHVzZSwgY2VydGlmaWNhdGUgcG9saWN5IGFuZCBjZXJ0aWZp\nY2F0aW9uIHByYWN0aWNlIHN0YXRlbWVudHMuMDYGCCsGAQUFBwIBFipodHRw\nOi8vd3d3LmFwcGxlLmNvbS9jZXJ0aWZpY2F0ZWF1dGhvcml0eS8wNgYDVR0f\nBC8wLTAroCmgJ4YlaHR0cDovL2NybC5hcHBsZS5jb20vYXBwbGV3d2RyY2Ey\nLmNybDAOBgNVHQ8BAf8EBAMCAygwTwYJKoZIhvdjZAYgBEIMQDM0NTBBMjhB\nOTlGRjIyRkI5OTdDRERFODU1REREOTI5NTE4RjVGMDdBQUM4NzdDMzRCQjM3\nODFCQTg2MzkyNjIwCgYIKoZIzj0EAwIDRwAwRAIgZ/oNx0gCc/PM4pYhOWL2\nCecFQrIgzHr/fZd8qcy3Be8CIEQCaAPpmvQrXEX0hFexoYMHtOHY9dgN2D8L\nNKpVyn3t\n"}}' \
  -X PUT "https://your-development-store.myshopify.com/admin/api/2026-07/apple_pay_certificates/1068938276.json" \
  -H "X-Shopify-Access-Token: {access_token}" \
  -H "Content-Type: application/json"
  ```

  #### response

  ```json
  HTTP/1.1 200 OK{"apple_pay_certificate":{"id":1068938276,"status":"completed","merchant_id":"merchant.something"}}
  ```

***

## delDelete Apple Pay certificate

Delete Apple Pay certificate

### Parameters

***

api\_version

**string**

**required**

***

apple\_pay\_certificate\_id

**string**

**required**

***

### Examples

### Delete Apple Pay certificate

### Path parameters

apple\_​pay\_​certificate\_​id=​1068938274

**string**

**required**

del

## /admin/api/2026-07/apple\_​pay\_​certificates/1068938274.​json

```bash
curl -X DELETE "https://your-development-store.myshopify.com/admin/api/2026-07/apple_pay_certificates/1068938274.json" \
-H "X-Shopify-Access-Token: {access_token}"
```

{}

## Response

JSON

```json
HTTP/1.1 204 No Content
```

### examples

* #### Delete Apple Pay certificate

  #####

  ```curl
  curl -X DELETE "https://your-development-store.myshopify.com/admin/api/2026-07/apple_pay_certificates/1068938274.json" \
  -H "X-Shopify-Access-Token: {access_token}"
  ```

  #### response

  ```json
  HTTP/1.1 204 No Content
  ```